accrue.analysis.interprocvarcontext

## Class AnalysisContextPeerMap<T>

- java.lang.Object
- - accrue.analysis.interprocvarcontext.AnalysisContextPeerMap<T>

- Type Parameters:
    `T` -

      public class AnalysisContextPeerMap<T>
      extends java.lang.Object

  A utility class that is used to help record analysis results for AST nodes. An AnalysisContextMap maps analysis contexts and PeerKeys to analysis results of type T.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnalysisContextPeerMap.CodeObjectPeerContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisContextPeerMap()`
    `AnalysisContextPeerMap(java.lang.Class<? extends AnalysisContext> analysisContextClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<AnalysisContextPeerMap.CodeObjectPeerContext>` | `contexts()`
    `T` | `get(AnalysisContext context, polyglot.visit.FlowGraph.PeerKey peerKey)`
    `T` | `get(AnalysisContextPeerMap.CodeObjectPeerContext pctx)`
    `void` | `put(AnalysisContext context, polyglot.visit.FlowGraph.PeerKey peerKey, T v)`
    `T` | `remove(AnalysisContext context, polyglot.visit.FlowGraph.PeerKey peerKey)`
    `java.util.Collection<T>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisContextPeerMap

          public AnalysisContextPeerMap(java.lang.Class<? extends AnalysisContext> analysisContextClass)

    - #### AnalysisContextPeerMap

          public AnalysisContextPeerMap()

  - ### Method Detail

    - #### put

          public void put(AnalysisContext context,
                 polyglot.visit.FlowGraph.PeerKey peerKey,
                 T v)

    - #### remove

          public T remove(AnalysisContext context,
                 polyglot.visit.FlowGraph.PeerKey peerKey)

    - #### get

          public T get(AnalysisContext context,
              polyglot.visit.FlowGraph.PeerKey peerKey)

    - #### get

          public T get(AnalysisContextPeerMap.CodeObjectPeerContext pctx)

    - #### contexts

          public java.util.Set<AnalysisContextPeerMap.CodeObjectPeerContext> contexts()

    - #### values

          public java.util.Collection<T> values()